# CurveGaugeDeposit

### Description

Action that deposits LP tokens into a Liquidity Gauge.

> **Notes**
>
> if \_params.receiver != address(this) the receiver must call set\_approve\_deposit on gauge

### Action ID

`0x728abd4c`

### SDK Action

```ts
const curveGaugeDepositAction = new dfs.actions.curve.CurveGaugeDepositAction(
    gaugeAddr,
    lpToken,
    sender,
    onBehalfOf,
    amount
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param gaugeAddr Address of the gauge to deposit into
    /// @param lpToken Address of the LP token to deposit
    /// @param sender Address where the LP tokens are pulled from
    /// @param onBehalfOf Address of the deposit beneficiary
    /// @param amount Amount of LP tokens to deposit
    struct Params {
        address gaugeAddr;
        address lpToken;
        address sender;
        address onBehalfOf;
        uint256 amount;
    }
```

### Return Value

```solidity
return bytes32(deposited);
```

### Events and Logs

```solidity
emit ActionEvent("CurveGaugeDeposit", logData);
logger.logActionDirectEvent("CurveGaugeDeposit", logData);
bytes memory logData = abi.encode(params);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/actions/curve/curvegaugedeposit.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
